Community Edition licensing for v10

Community Edition licensing for v10

  

Hello guys @ Outsystems,

Can you enlighten me on this:


Where I work at, we do not develop over Outsystems for my pitty, unfortunately. However, I am skilled to provide external projects to our costumers that may have Outsystems, and want to either upgrade, or move to the cloud. 

In order to be able to do some testing with the latest version, for which I will have a project to upgrade from v7 to v10, I installed in one of our servers v10, with community edition, so that I could do the tests I wanted, but when I uploaded the license, I got this error(actually not an error :-) )

localhost - Licensing            




Your server license has been invalidated as it does not allow the current server version. Please downgrade the server version or contact OutSystems for a license upgrade.




So it seems that this is only allowed up to v8, sadly... Isn't there any other way so that I can have this testing environment?

Would I only be able to achieve this comercialy?

Thanks!

Outsystems stopped producing the Community Edition after version 8 so there is no Community Edition for v9 or v10 so I'm not sure what you installed.

To replace the Community Edition, Outsystems provides the Personal Edition in the cloud which is free to use.  There is no way to install the server platform components locally without buying a license.  While the Personal Edition is very full featured, it does not support everything that the Enterprise Edition supports.  The one feature you'll care about is the inability to create code in your Personal Environment and run it in someone else's environment due to IPP restrictions.  The only workaround is publishing your code to the Forge but that exposes your work to everyone, not just your client.


Hope this helps,
Curt